/******************************************************************************
 * 
 * LDC2 source code
 *
 * $Date: 2007/03/26 01:00:39 $
 * $Author: hachti $
 *
 * $Log: data_block_0_0.cpp,v $
 * Revision 2.0  2007/03/26 01:00:39  hachti
 * *** empty log message ***
 *
 *
 ******************************************************************************/
 
#include "data_block_0_0.hh"

#include <stdio.h>

/*!
 *\brief Specialisation constructor.
 */
data_block_0_0::data_block_0_0(data_block_0 & org)
  :data_block_0_label_extractor(org)
{
  m_has_known_type=false;
}


/*!
 *\brief Describe the block.
 *\return A vector of text lines describing this block.
 */
vector<string> data_block_0_0::get_description(){
  vector<string> result;
  vector<string> labels=get_labels();
  for (unsigned int i=0; i<labels.size();i++){
    if (i==0) result.insert(result.end(),
			    labels[i]+"     "+get_typestring()+"Subprogram Name");
    else 
      result.insert(result.end(),
		    labels[i]+"     "+get_typestring()        +"    \"        \"");
  }
  return result;
}

/***************************************************************/
/*!
 *\brief Get exported symbols.
 *\return A vector containing the symbol names exported by this
 *        block.
 */
vector<string> data_block_0_0::get_exported_symbols(){
  return get_labels();
}
