/******************************************************************************
 * 
 * LDC2 source code
 *
 * $Date: 2007/03/26 01:00:39 $
 * $Author: hachti $
 *
 * $Log: data_block_0_label_extractor.hh,v $
 * Revision 2.0  2007/03/26 01:00:39  hachti
 * *** empty log message ***
 *
 *
 ******************************************************************************/
 
#ifndef DATA_BLOCK_0_LABEL_EXTRACTOR_H
#define DATA_BLOCK_0_LABEL_EXTRACTOR_H

#include <vector>
#include <string>

#include "data_block_0.hh"

/*!
 *\brief Abstract class providing label extraction for some data_block_0 subtypes.
 *
 * This class cannot be instantiated.\n
 */
class data_block_0_label_extractor
  : public data_block_0
{

protected:
  data_block_0_label_extractor(data_block_0 &);

protected:
  vector<string> get_labels();

};

#endif
